Error running Deepstream-6.3

@yingliu I used this link to upgrade How to Install JetPack :: NVIDIA JetPack Documentation

That should work right

This should work, let me have a check, may take some time.

1 Like

@yingliu thanks for the update.

One moment, you upgrade your Xavier NX form JP5.0.2?

This guide mentioned This step assumes your Jetson developer kit has been flashed with and is running L4T 35.3.1. L4T R35.3.1 is patf of JP5.1.1, which is much newer than JP5.0.2.

But this says "To upgrade from previous JetPack 5.x releases, first edit etc/apt/sources.list.d/nvidia-l4t-apt-source.list to point to the 35.4 repo (just change the version to r35.4 in both lines). Next, use the following commands, then physically reboot the system: "

Not sure what happened, libcuda.so is from package nvidia-l4t-cuda, can you check if it is installed correctly?

Yes it is installed.

$ dpkg -l | grep CUDA ii cuda-11-4 11.4.19-1 arm64 CUDA 11.4 meta-package ii cuda-cccl-11-4 11.4.298-1 arm64 CUDA CCCL ii cuda-command-line-tools-11-4 11.4.19-1 arm64 CUDA command-line tools ii cuda-compiler-11-4 11.4.19-1 arm64 CUDA compiler ii cuda-cudart-11-4 11.4.298-1 arm64 CUDA Runtime native Libraries ii cuda-cudart-dev-11-4 11.4.298-1 arm64 CUDA Runtime native dev links, headers ii cuda-cuobjdump-11-4 11.4.315-1 arm64 CUDA cuobjdump ii cuda-cupti-11-4 11.4.298-1 arm64 CUDA profiling tools runtime libs. ii cuda-cupti-dev-11-4 11.4.298-1 arm64 CUDA profiling tools interface. ii cuda-cuxxfilt-11-4 11.4.300-1 arm64 CUDA cuxxfilt ii cuda-documentation-11-4 11.4.298-1 arm64 CUDA documentation ii cuda-driver-dev-11-4 11.4.298-1 arm64 CUDA Driver native dev stub library ii cuda-gdb-11-4 11.4.298-1 arm64 CUDA-GDB ii cuda-libraries-11-4 11.4.19-1 arm64 CUDA Libraries 11.4 meta-package ii cuda-libraries-dev-11-4 11.4.19-1 arm64 CUDA Libraries 11.4 development meta-package ii cuda-nvcc-11-4 11.4.315-1 arm64 CUDA nvcc ii cuda-nvdisasm-11-4 11.4.298-1 arm64 CUDA disassembler ii cuda-nvprune-11-4 11.4.298-1 arm64 CUDA nvprune ii cuda-profiler-api-11-4 11.4.298-1 arm64 CUDA Profiler API ii cuda-runtime-11-4 11.4.19-1 arm64 CUDA Runtime 11.4 meta-package ii cuda-samples-11-4 11.4.300-1 arm64 CUDA example applications ii cuda-sanitizer-11-4 11.4.298-1 arm64 CUDA Sanitizer ii cuda-toolkit-11-4 11.4.19-1 arm64 CUDA Toolkit 11.4 meta-package ii cuda-toolkit-11-4-config-common 11.4.298-1 all Common config package for CUDA Toolkit 11.4. ii cuda-toolkit-11-config-common 11.4.298-1 all Common config package for CUDA Toolkit 11. ii cuda-toolkit-config-common 11.4.298-1 all Common config package for CUDA Toolkit. ii cuda-tools-11-4 11.4.19-1 arm64 CUDA Tools meta-package ii cuda-visual-tools-11-4 11.4.19-1 arm64 CUDA visual tools ii libcusolver-11-4 11.2.0.297-1 arm64 CUDA solver native runtime libraries ii libcusolver-dev-11-4 11.2.0.297-1 arm64 CUDA solver native dev links, headers ii nvidia-cuda 5.1.2-b104 arm64 NVIDIA CUDA Meta Package ii nvidia-cuda-dev 5.1.2-b104 arm64 NVIDIA CUDA dev Meta Package rc nvidia-l4t-cuda 35.1.0-20220825113828 arm64 NVIDIA CUDA Package

But most of the deepstream gst elements are not present

$ gst-inspect-1.0 nvinfer No such element or plugin 'nvinfer'

$ gst-inspect-1.0 nvstreammux No such element or plugin 'nvstreammux'

@yingliu any update?

Do you have the full log of upgrading? Need to check what happened.

i just did the following

sudo apt update

sudo apt install nvidia-jetpack

sudo nano etc/apt/sources.list.d/nvidia-l4t-apt-source.list # to point to the 35.4 repo

sudo apt update

sudo apt dist-upgrade

sudo apt install --fix-broken -o Dpkg::Options::="--force-overwrite"

and manually rebooted.

for the whole log i have to reinstall them.

and i forgot to mention that i am using lenovo thinkedge se70 box

@yingliu kindly find the complete log for the above commands
log.txt (282.4 KB)

please find the deepstream-6.3 installation log
deepstream_log.txt (5.2 KB)

Hi,
There may be no method to recover from the situation without reflahing system image. Please re-flash through SDKManager and try again.

@DaneLLL I am using lenovo se-70 box there is no OEM image for jetpack 5.1.2
and i tried using SDK manager but it re partitioned 250GB disk into 16 GB and there are lots of changes.

Hi,
You are using a custom board and we would suggest contact with the vendor for support. Or may consider use developer kit so that you can use SDKManager to flash the system and continue the development.

@DaneLLL thanks for the update, but why the jetpack upgrade method is not working

Hi,
The default package is for developer kit so it may not be eligible for custom board. Generally the vendor would need to prepare the package for custom board.
Besides, 5.0.2 is first Jetpack 5 release and it’s possible this function is not ready yet. If you have Xavier NX developer kit in 5.1.1 and would like to upgrade to 5.1.2, this method should work.

will upgrading from jp 5.0.2 → 5.1.1 → 5.1.2 works

There is no update from you for a period, assuming this is not an issue anymore. Hence we are closing this topic. If need further support, please open a new one. Thanks

Hi,
Since you use custom board, we would suggest contact board vendor to get image of Jetpack 5.1.2. The default release is for developer kit and may not work with custom board.

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.